Subject: Re: [PATCH] mac80211: fix memory leak

From: Sudip Mukherjee <[email-masked]>
Date: Mon, 1 Feb 2016 15:03:46 +0530

On Mon, Feb 01, 2016 at 11:28:37AM +0200, Kalle Valo wrote:
> Sudip Mukherjee <[email-masked]> writes:
> 
> > On Mon, Feb 01, 2016 at 11:03:35AM +1100, Julian Calaby wrote:
> >> Hi Sudip,
> >> 
> >> On Fri, Jan 29, 2016 at 8:49 PM, Sudip Mukherjee
> >> <[email-masked]> wrote:
> >> > On error we jumped to the error label and returned the error code but we
> >> > missed releasing sinfo.
> >> >
> >> > Signed-off-by: Sudip Mukherjee <[email-masked]>
> >> 
> >> Should the From: and Signed-off-by: email addresses be the same?
> >
> > I think 2 years back I had a long discussion with Greg about this and
> > since then I al submitting patches like this. A small summayg of the
> > problem from that discussion:
> >
> > "we have strict DMARC check for the corporate mail server. DMARC =
> > domain based message authentication.
> > So the mail i sent reached all the list subscriber from a different
> > server than our designated server, and as a result it is marked as spam
> > in many places and I have already received a few complaints regarding
> > that."
> 
> You can add a separate "From:" line to the beginning of the commit log
> and git will use it then commiting the patch. I didn't find any
> documention but it's easy to do and should solve this.

Documentation is not needed. :)
I have done that couple of time.
I will resend this patch with the extra From: line.

regards
sudip